QIMA Logo
API Reference

8 categories • 44 endpoints

  • All APIs

    44


  • Supplier
    v1.0.0

    Confirm inspection date and factory

    Request

    Query Parameters
    NameTypeLocationRequiredDescription
    orderIdstringpathYesInspection order id
    passwordstringqueryNoConfirmation password, only required in specific authorization contexts. Get it from the "Get inspection order" API, then do the following steps: <br> Step 1: MD5 <br> Step 2: Sha1 on the output of step 1
    inspectionDatestringqueryYesThe confirmed inspection date in `YYYY-MM-DD` format (e.g., `2016-12-01`).
    containerReadyDatestringqueryYesThe date the container will be ready for loading, in `YYYY-MM-DD` format (e.g., `2016-12-01`).

    Request Body

    Content-Type: application/json

    FieldTypeRequiredDescription
    createTimestringNo
    updateTimestringNo
    createBystringNo
    updateBystringNo
    accessTimestringNo
    paramsobjectNo
    orderIdstringNo
    factoryIdstringNo
    factoryNamestringNo
    factoryNameCNstringNo
    factoryMGRNamestringNo
    factoryMGRMobilestringNo
    factoryMGRNumberstringNo
    factoryMGREmailstringNo
    factoryMGREmailListarrayNo
    factoryOtherNamestringNo
    factoryOtherMobilestringNo
    factoryOtherNumberstringNo
    factoryOtherEmailstringNo
    factoryOtherEmailListarrayNo
    factoryAddressstringNo
    factoryCitystringNo
    factoryCityNamestringNo
    factoryProvincestringNo
    factoryCountrystringNo
    factoryContinentstringNo
    factoryPostCodestringNo
    factoryProductLinesstringNo
    factoryProductLinesListarrayNo
    departureCitystringNo
    arrivalTimestringNo
    factoryAIOfficestringNo
    nbOfWorkersintegerNo
    commentsstringNo
    coordinationRemarkstringNo
    isMutiLocationstringNo
    idstringNo
    factoryCityIdstringNo
    coordinatesLatitudestringNo
    coordinatesLongitudestringNo
    seqintegerNo
    Responses

    200
    Factory confirmation accepted.

    Content-Type: application/json

    message
    string
    FieldTypeDescription
    messagestring
    FieldTypeDescription
    contentbooleanWhether the factory confirmation succeeded.
    {
      "message": null,
      "content": true
    }
    PUT
    /order/v2/{orderId}/factory
    Request samples

    application/json

    { "createTime": "2026-09-04T07:05:11.228Z", "updateTime": "2026-09-04T07:05:11.228Z", "createBy": "string", "updateBy": "string", "accessTime": "2026-09-04T07:05:11.228Z", "params": {}, "orderId": "string", "factoryId": "string", "factoryName": "string", "factoryNameCN": "string", "factoryMGRName": "string", "factoryMGRMobile": "string", "factoryMGRNumber": "string", "factoryMGREmail": "string", "factoryMGREmailList": [ "string" ], "factoryOtherName": "string", "factoryOtherMobile": "string", "factoryOtherNumber": "string", "factoryOtherEmail": "string", "factoryOtherEmailList": [ "string" ], "factoryAddress": "string", "factoryCity": "string", "factoryCityName": "string", "factoryProvince": "string", "factoryCountry": "string", "factoryContinent": "string", "factoryPostCode": "string", "factoryProductLines": "string", "factoryProductLinesList": [ "string" ], "departureCity": "string", "arrivalTime": "string", "factoryAIOffice": "string", "nbOfWorkers": 1, "comments": "string", "coordinationRemark": "string", "isMutiLocation": "string", "id": "string", "factoryCityId": "string", "coordinatesLatitude": "string", "coordinatesLongitude": "string", "seq": 1 }

    Response samples

    application/json

    { "message": null, "content": true }